---
sidebar_position: 1
description: Get chat message history and other functions to work with GreenMax in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, GreenMax]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get chat message history
 Gets the latest messages from the chat history



`Function GetChatMessageHistory(Val AccessParameters, Val ChatID, Val Count = 100) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | AccessParameters | --access | Structure Of KeyAndValue | &#x2714; | Access parameters. See FormAccessParameters |
  | ChatID | --chat | String | &#x2714; | Chat ID |
  | Count | --count | Number | &#x2716; | Number of messages to receive |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Green API

:::tip
Method at API documentation: [GetChatHistory](https://green-api.com/v3/docs/api/journals/GetChatHistory/)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    ApiUrl           = "https://3100.api.green-api.com/v3";
    MediaUrl         = "https://3100.api.green-api.com/v3";
    IdInstance       = "31003...";
    ApiTokenInstance = "17915d8e0b4b4975a183478da...";

    ChatID = 12345678;
    Count  = 3;

    AccessParameters = OPI_GreenMax.FormAccessParameters(ApiUrl, MediaUrl, IdInstance, ApiTokenInstance);
    Result           = OPI_GreenMax.GetChatMessageHistory(AccessParameters, ChatID, Count);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            # JSON data can also be passed as a path to a .json file
            
            oint greenmax GetChatMessageHistory \
             --access "{'apiUrl':'***','mediaUrl':'https://3100.api.green-api.com/v3','idInstance':'3100309139','apiTokenInstance':'***'}" \
             --chat "***" \
             --count 3
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            :: JSON data can also be passed as a path to a .json file
            
            oint greenmax GetChatMessageHistory ^
             --access "{'apiUrl':'***','mediaUrl':'https://3100.api.green-api.com/v3','idInstance':'3100309139','apiTokenInstance':'***'}" ^
             --chat "***" ^
             --count 3
        ```
    </TabItem>
</Tabs>


```json title="Result"
[
 {
  "type": "outgoing",
  "idMessage": "2761480287806",
  "timestamp": 1761480287,
  "typeMessage": "extendedTextMessage",
  "chatId": "-68885166162005",
  "textMessage": "Тест 5",
  "extendedTextMessage": {
   "text": "Тест 5",
   "description": "",
   "title": "",
   "previewType": "None",
   "jpegThumbnail": "",
   "forwardingScore": 0,
   "isForwarded": false
  },
  "statusMessage": "delivered",
  "sendByApi": true,
  "deletedMessageId": "",
  "editedMessageId": "",
  "isEdited": false,
  "isDeleted": false
 },
 {
  "type": "outgoing",
  "idMessage": "2761480285785",
  "timestamp": 1761480285,
  "typeMessage": "extendedTextMessage",
  "chatId": "-68885166162005",
  "textMessage": "Тест 4",
  "extendedTextMessage": {
   "text": "Тест 4",
   "description": "",
   "title": "",
   "previewType": "None",
   "jpegThumbnail": "",
   "forwardingScore": 0,
   "isForwarded": false
  },
  "statusMessage": "delivered",
  "sendByApi": true,
  "deletedMessageId": "",
  "editedMessageId": "",
  "isEdited": false,
  "isDeleted": false
 },
 {
  "type": "outgoing",
  "idMessage": "2761480283525",
  "timestamp": 1761480283,
  "typeMessage": "extendedTextMessage",
  "chatId": "-68885166162005",
  "textMessage": "Тест 3",
  "extendedTextMessage": {
   "text": "Тест 3",
   "description": "",
   "title": "",
   "previewType": "None",
   "jpegThumbnail": "",
   "forwardingScore": 0,
   "isForwarded": false
  },
  "statusMessage": "delivered",
  "sendByApi": true,
  "deletedMessageId": "",
  "editedMessageId": "",
  "isEdited": false,
  "isDeleted": false
 }
]
```
